# norootforbuild
%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?sl_version} || 0%{?redhat_version}
%define with_perlbindings	1
%endif
Name:			liboping0
Version:		1.6.1
Release:		6.7
Summary:		Multiple Host Ping Library that supports ICMPv4 and ICMPv6
Source:			http://verplant.org/liboping/files/liboping-%{version}.tar.bz2
Patch1:			liboping-perl_vendor.patch
URL:			http://verplant.org/liboping/
Group:			System/Libraries
License:		GNU General Public License version 2 (GPL v2)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc make glibc-devel perl ncurses-devel
BuildRequires:	autoconf automake libtool
Provides:		liboping = %{version}-%{release}

%description
liboping is a C library for measuring network latency using ICMP echo
requests. It can send to and receive packets from multiple hosts in parallel,
which is nice for monitoring applications. Both IPv4 and IPv6 are supported
transparently for the programmer and user.

A program called oping is available on the oping package to show the
simplicity and potential of the library and provide the functionality at the
command line.




Authors:
--------
    Florian octo Forster <octo@verplant.org>

%package -n liboping-devel
Summary:			Multiple Host Ping Library that supports ICMPv4 and ICMPv6
Requires:		%{name} = %{version}-%{release}
Group:			Development/Libraries/Other

%description -n liboping-devel
liboping is a C library for measuring network latency using ICMP echo
requests. It can send to and receive packets from multiple hosts in parallel,
which is nice for monitoring applications. Both IPv4 and IPv6 are supported
transparently for the programmer and user.

This package includes the header and shared library link, required for
building applications or libraries that use %{name}.
This package is not needed at runtime.

%package -n oping
Summary:			Multiple Host Ping that supports ICMPv4 and ICMPv6
Requires:		%{name} = %{version}-%{release}
Group:			Productivity/Networking/Other

%description -n oping
oping is for measuring network latency using ICMP echo requests. It can send
to and receive packets from multiple hosts in parallel, which is nice for
monitoring applications. Both IPv4 and IPv6 are supported transparently.




Authors:
--------
    Florian octo Forster <octo@verplant.org>

%if %{?with_perlbindings}
# currently broken
%package -n perl-Net-Oping
Summary:			Multiple Host Ping that supports ICMPv4 and ICMPv6
Group:			Development/Libraries/Perl

%description -n perl-Net-Oping
Net::Oping is for measuring network latency using ICMP echo requests.
It can send to and receive packets from multiple hosts in parallel, which is
nice for monitoring applications. Both IPv4 and IPv6 are supported
transparently.




Authors:
--------
    Florian octo Forster <octo@verplant.org>
%endif

%prep
%setup -q -n "liboping-%{version}"
%patch1

%build
%configure \
    --with-perl-bindings="INSTALLDIRS=vendor"

%__make -C bindings perl/Makefile
#%__sed -i 's|LD_RUN_PATH=".*" |LD_RUN_PATH="%{_libdir}"|' bindings/perl/Makefile

%__make %{?jobs:-j%{jobs}}

%install
%__sed -e 's|perl5/site_perl/|perl5/vendor_perl/|g' bindings/perl/Makefile
%__make DESTDIR=%{buildroot} install
%__rm "%{buildroot}%{_libdir}"/*.la

%if %{?with_perlbindings}
%perl_process_packlist
%endif

#%__rm -rf "%{buildroot}%{_usr}/lib/perl5"
%__rm -rf "%{buildroot}/var/adm/perl-modules"
%__rm -rf %{buildroot}%{_libdir}/perl5/perllocal.pod
%__rm -rf %{buildroot}%{_libdir}/perl5/vendor_perl/auto/Net/Oping/.packlist

%post   -n %{name}
/sbin/ldconfig
%postun -n %{name}
/sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/liboping.so.0
%{_libdir}/liboping.so.0.*.*

%files -n liboping-devel
%defattr(-,root,root)
%{_includedir}/oping.h
%{_libdir}/liboping.so
%{_libdir}/liboping.a
%doc %{_mandir}/man3/*.3*

%files -n oping
%defattr(-,root,root)
%{_bindir}/oping
%{_bindir}/noping
%doc %{_mandir}/man8/oping.8*

%if %{?with_perlbindings}
%files -n perl-Net-Oping
%defattr(-,root,root)
%if 0%{?suse_version}
%dir %{perl_vendorarch}/Net
%{perl_vendorarch}/Net/Oping.pm
%dir %{perl_vendorarch}/auto/Net
%{perl_vendorarch}/auto/Net/Oping
/var/adm/perl-modules/%{name}
%else
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/Oping.pm
%dir %{perl_vendorlib}/auto/Net
%{perl_vendorlib}/auto/Net/Oping
%endif
%endif

%changelog
* Tue Sep 27 2011 cs@linux-administrator.com
- Update to release 1.6.1
